Api referenceEditor

Get editor capabilities

GET
/v1/editor/capabilities

Return editor capability enums and presets. Illustration list is provided by /v1/illustrations. Unlike persistence and export routes, this endpoint does not require paid runtime access.

Authorization

BearerAuth
AuthorizationBearer <token>

Send an existing generated API key as Authorization: Bearer sk_indream_.... OAuth access tokens are not accepted by the Open API. Enter the API key manually in the interactive docs playground. The value is stored only in the current browser and is not injected from server environment variables.

In: header

Response Body

application/json

application/json

curl -X GET "https://api.indream.ai/v1/editor/capabilities"
{
  "data": {
    "version": "string",
    "animations": [
      "string"
    ],
    "captionAnimations": {
      "in": [
        {
          "id": "string",
          "type": "string",
          "label": "string",
          "preview": "string"
        }
      ],
      "out": [
        {
          "id": "string",
          "type": "string",
          "label": "string",
          "preview": "string"
        }
      ],
      "loop": [
        {
          "id": "string",
          "type": "string",
          "label": "string",
          "preview": "string"
        }
      ]
    },
    "transitions": [
      "string"
    ],
    "transitionPresets": [
      {
        "id": "string",
        "type": "string",
        "label": "string",
        "params": {}
      }
    ],
    "effects": [
      "string"
    ],
    "effectPresets": [
      {
        "id": "string",
        "type": "string",
        "label": "string",
        "defaultDurationInSeconds": 0,
        "defaultIntensity": 0,
        "params": {}
      }
    ],
    "filters": [
      "string"
    ],
    "filterPresets": [
      {
        "id": "string",
        "type": "string",
        "label": "string",
        "defaultDurationInSeconds": 0,
        "defaultIntensity": 0,
        "params": {}
      }
    ],
    "shapes": [
      "string"
    ],
    "backgroundPresets": {
      "colors": [
        "string"
      ],
      "gradients": [
        "string"
      ],
      "images": [
        "string"
      ],
      "blurLevels": [
        0
      ]
    }
  },
  "meta": {}
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}